DHISD(8)

NAME
dhisd - Dynamic Host Information System server.

SYNOPSIS
dhisd [-D] [-p port] [-d database] [-s services] [-l logfile] [-P pidfile]

DESCRIPTION
DHIS is a client-server architecture meant to update databases for systems which are assigned a dynamic IP[v4] address.

By the means of a DHIS client a host which is assigned a dynamic IP address (either from its ISP or from DHCP) is able to communicate with a DHIS server in order to advertise its newly acquired IP address.

DHIS comprises a UDP based protocol to achieve this purpose.

A DHIS client has a unique identification number and a set of authentication keys, runs in background, and attempts to reach its server.

The DHIS server (permanently online) listens to UDP messages from its clients and authenticates these against its knowledge of keys. When authentication is successful the DHIS server updates one or more databases with the newly received IP address for the given client.

The server then keeps sending, every period of time, check requests to each of its connected clients. These need to be acknowledged. If not the server will consider, on an individual basis, that the client has disconnected and will again update the databases to an offline state.

Alternativelly the server may receive an OFFLINE_REQ packet from the client, in which case the DNS record is updated at once and the online state droped.

OPTIONS

-D  Increase debug level.

-p port
    Specify port to listen on. If not specified, the default is port 58800.

-d database
    Use an alternative database file instead of /etc/dhis-server/dhis.db.

-s services
    Use an alternative database file instead of /etc/dhis-server/services.db.

-l logfile
    Use an alternative log file instead of /var/log/dhisd.log.

-P pidfile
    Use an alternative PID file instead of /var/run/dhisd.pid.

FILES

/etc/dhis-server/dhis.db
    DHIS client database. Contains the credentials of clients.

/etc/dhis-server/services.db
    DHIS service database. Contains a list of services and the location of the corresponding DHIS engine plugins.

SEE ALSO
dhis-genkeys(8)

AUTHOR
dhisd has been written by Joao Cabral <jcnc@dhis.org>.

This manual page was written by Guus Sliepen <guus@debian.org> for the Debian GNU/Linux system.